%define debug_package %{nil}

Name:			php-Mobile_Detect
Version:		2.8.33
Release:		1%{?dist}
Summary:		Lightweight PHP class for detecting mobile devices

License:		MIT
URL:			https://github.com/serbanghita/Mobile-Detect
# URL:			http://mobiledetect.net/
Source0:		https://github.com/serbanghita/Mobile-Detect/archive/%{version}.tar.gz

BuildArch:		noarch
# BuildRequires:	drupal7-rpmbuild >= 7.59
Requires:		php >= 5.3.3

%description
Mobile Detect is a lightweight PHP class for detecting mobile devices
(including tablets). It uses the User-Agent string combined with specific
HTTP headers to detect the mobile environment.



%prep
%setup -q -n Mobile-Detect-%{version}


%build
# %%configure
# make %%{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
# make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_datadir}/php/MobileDetect/export %{buildroot}%{_datadir}/php/MobileDetect/namespaced/Detection
%__install -p -t %{buildroot}%{_datadir}/php/MobileDetect/ Mobile_Detect.json Mobile_Detect.php phpcs.xml
%__install -p -t %{buildroot}%{_datadir}/php/MobileDetect/export export/exportToJSON.php
%__install -p -t %{buildroot}%{_datadir}/php/MobileDetect/namespaced/Detection namespaced/Detection/MobileDetect.php

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license LICENSE.txt
%doc README.md docs/*.md composer.json
%{_datadir}/php/MobileDetect
# %%attr(0644,-,-) %%{_datadir}/php/MobileDetect/composer.json
%attr(0644,-,-) %{_datadir}/php/MobileDetect/Mobile_Detect.json
%attr(0644,-,-) %{_datadir}/php/MobileDetect/Mobile_Detect.php
%attr(0644,-,-) %{_datadir}/php/MobileDetect/phpcs.xml
%attr(0644,-,-) %{_datadir}/php/MobileDetect/export/exportToJSON.php
%attr(0644,-,-) %{_datadir}/php/MobileDetect/namespaced/Detection/MobileDetect.php


%changelog
* Mon Oct  8 2018 J. Randall Owens <jrowens@ghiapet.net> - 2.8.33-1
- initial build

